package com.ebelter.sdksdemo;


import android.content.Context;
import android.content.pm.PackageManager;

class AppUtils {

    /**
     * 获取版本码
     */
    static int getVersionCode(Context mContext) {
        int versionCode = 0;
        try {
            versionCode = mContext.getPackageManager().
                    getPackageInfo(mContext.getPackageName(), 0).versionCode;
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        return versionCode;
    }



    /**
     * 获取版本号名称
     */
    static String getVerName(Context context) {
        String verName = "";
        try {
            verName = "V"+context.getPackageManager().
                    getPackageInfo(context.getPackageName(), 0).versionName;
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        return verName;
    }
}
